#ifndef atm_switches_buffer
#include "atmnetwork.h"
#include "atmswitch.h"

/*
 * The output Buffer switch. It is just any switch but the buffer limit is 
 * set differently.
 */
class ATMOutputBuffer : public ATMSwitch {
	public:
		ATMOutputBuffer(){};	
		inline void set_buffer_limit();
};

/*
 * A shared memory switch.
 */
class ATMSharedBuffer : public ATMSwitch {
	public:
		ATMSharedBuffer(){};	
		inline void set_buffer_limit();
};
#define atm_switches_buffer
#endif
