#ifndef atmsrc_h

#include <fstream.h>
#include <string.h>
#include <math.h>

#include "atmnode.h"
#include "atmagent.h"

class ATMSource : public ATMNode {
	protected:
	        int maxport_;
 	        int nport_;      /* number of local agents (each has a port) */
		
		int conn_lost;
		int conn_accepted;
	
	public:
		int add_agent(ATMAgent*);
		ATMAgent** agents_;         /* table of local agents */
		ATMSource();

		void Refused(){conn_lost++;};
		void Accepted(){conn_accepted++;};
		virtual void handle(class Event *);
		virtual int command(int argc, const char*const* argv);
};
#define atmsrc_h
#endif
