#include <fstream.h>
#include <stdlib.h>

// columns total infile outfile
int main(int argc, char ** argv)
{
	if (argc<5)
	{
		cout<<argv[0]<<" col_no total infile outfile interval\n";
		return 1;
	}
	int INTERVAL=atoi(argv[5]);
	int* freq=new int[INTERVAL];
	for(int i=0;i<INTERVAL;i++)
		freq[i]=0;
	ifstream fin(argv[3]);
	if(!fin.good())
	{
		cout<<"\nUnable to open file "<<argv[3]<<'\n';
		return 1;
	}

	ofstream fout(argv[4]);
	
	int col=atoi(argv[1]);
	int total=atoi(argv[2]);

	double min,max;
	double x;
	for(int i=0;i<col;i++)
		fin>>x;
	min=max=x;

	while(!fin.eof())
	{
		for(int i=0;i<total;i++)
			fin>>x;
		if(x<min)
			min=x;
		if(x>max)
			max=x;
	}
	fin.clear();
	fin.seekg(0);
	
	for(int i=0;i<col;i++)
		fin>>x;
	
	double slot=(max-min)/((double)INTERVAL);
	while(!fin.eof())
	{
		int sl=((x-min)/slot);
		freq[sl]++;
		for(int i=0;i<total;i++)
			fin>>x;
	}
	for(int i=0;i<INTERVAL;i++)
	{
		fout<<min+(i+0.5)*slot;
		fout<<"\t"<<(int)freq[i]<<"\n";
	}
	fin.close();
	fout.close();
	return 0;
}	
