#ifndef ns_atmroute_h
#define ns_atmroute_h

#include "atmnode.h"
#include "atmlink.h"

/*
 * This class establishes the route between sources and destinations. The
 * routing logic can be used in any way it wants.
 */
class ATMRouteLogic : public TclObject{
 public:
	ATMRouteLogic() :nodes_(0),lnk_tbl_(0),curr_nodes_(0) {};
	//virtual int command(int argc, const char*const* argv);
	virtual double establish_route(int,int)=0;	
			//return the delay assocaited
			//with establishing the routing path
	inline void curr_nodes(int c){curr_nodes_=c;};
	inline int curr_nodes(){return curr_nodes_;};
	inline void Nodes(ATMNode** t){nodes_=t; };
	inline void Links(ATMLink *** l_t){ lnk_tbl_=l_t; };
	inline ATMNode** Nodes(){ return nodes_; };
	inline ATMLink*** Links(){ return lnk_tbl_; };
 protected:
        ATMNode** nodes_;	//The nodes in the network
	int curr_nodes_;		//currently how many nodes
	ATMLink *** lnk_tbl_;	//link_table[src][dest] -> gives the link
};
#endif
